curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/reporting_events \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/reporting_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/reporting_events"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"value": 123,
"value_in_business_hours": 123,
"event_start_time": "2023-11-07T05:31:56Z",
"event_end_time": "2023-11-07T05:31:56Z",
"account_id": 123,
"conversation_id": 123,
"inbox_id": 123,
"user_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Conversation Reporting Events
Get reporting events for a specific conversation. This endpoint returns events such as first response time, resolution time, and other metrics for the conversation, sorted by creation time in ascending order.
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/reporting_events \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/reporting_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/reporting_events"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"value": 123,
"value_in_business_hours": 123,
"event_start_time": "2023-11-07T05:31:56Z",
"event_end_time": "2023-11-07T05:31:56Z",
"account_id": 123,
"conversation_id": 123,
"inbox_id": 123,
"user_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
The numeric ID of the conversation
Response
Success
ID of the reporting event
Name of the event (e.g., first_response, resolution, reply_time)
Value of the metric in seconds
Value of the metric in seconds, calculated only for business hours
The timestamp when the event started
The timestamp when the event ended
ID of the account
ID of the conversation
ID of the inbox
ID of the user/agent
The timestamp when the reporting event was created
The timestamp when the reporting event was last updated